/*-------------------------------------------------------------------------+
| Copyright 2018 fortiss GmbH                                              |
|                                                                          |
| Licensed under the Apache License, Version 2.0 (the "License");          |
| you may not use this file except in compliance with the License.         |
| You may obtain a copy of the License at                                  |
|                                                                          |
|    http://www.apache.org/licenses/LICENSE-2.0                            |
|                                                                          |
| Unless required by applicable law or agreed to in writing, software      |
| distributed under the License is distributed on an "AS IS" BASIS,        |
| WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. |
| See the License for the specific language governing permissions and      |
| limitations under the License.                                           |
+--------------------------------------------------------------------------*/
package org.fortiss.af3.platform.raspberry.generator.extension.v2v;

import org.fortiss.af3.component.model.InputPort;
import org.fortiss.af3.platform.raspberry.generator.framework.IReadableGeneratorExtension;
import org.fortiss.af3.platform.raspberry.model.v2v.V2VHandshakeInput;

/** Executable for v2v communication {@link V2VHandshakeInput}. */
public class V2VHandshakeInputGeneratorExtension extends
		V2VGeneratorExtensionBase<V2VHandshakeInput> implements IReadableGeneratorExtension {
	/** Constructor. */
	public V2VHandshakeInputGeneratorExtension(V2VHandshakeInput modelElement) {
		super(modelElement);
	}

	/** {@inheritDoc} */
	@Override
	public String getReadCode(InputPort logicalSignal, String targetVariable) {
		// TODO Auto-generated method stub
		return "af3_v2v_get_handshake( (uint8_t*) &" + targetVariable + ", sizeof(" +
				targetVariable + "));\n";
	}

	/** {@inheritDoc} */
	@Override
	public String getNoValReadCode(InputPort logicalSignal) {
		// TODO Auto-generated method stub
		return null;
	}
}
